Skip to main content
GET
/
scans
List pentests
curl --request GET \
  --url https://app.strix.ai/api/v1/scans \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "title": "<string>",
      "status": "pending",
      "scan_type": "blackbox",
      "domain_ids": [
        "<string>"
      ],
      "repository_ids": [
        "<string>"
      ],
      "schedule_id": "<string>",
      "findings": {
        "total": 123,
        "critical": 123,
        "high": 123,
        "medium": 123,
        "low": 123
      },
      "duration": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page": 123,
    "limit": 123,
    "total_items": 123,
    "total_pages": 123,
    "has_next": true,
    "has_prev": true
  }
}

Authorizations

Authorization
string
header
required

API token from Settings > API Access

Query Parameters

limit
integer
default:20
page
integer
default:1
status
string

Response

200 - application/json

Paginated list of pentests

items
object[]
meta
object